(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap17.png", id:"Bitmap17"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"},
		{src:"images/gfx_point.png", id:"gfx_point"},
		{src:"images/gfxSound.png", id:"gfxSound"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,186,147);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,74,42);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,145,42);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,206,42);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,274,42);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,252,42);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,215,42);


(lib.Bitmap17 = function() {
	this.initialize(img.Bitmap17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,212,42);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,99);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,142,206);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,173,127);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,196,123);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,182,147);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,178,139);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,206,152);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,216,42);


(lib.gfx_point = function() {
	this.initialize(img.gfx_point);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,53,53);


(lib.gfxSound = function() {
	this.initialize(img.gfxSound);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,64,46);


(lib.soundPlayer = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfxSound();
	this.instance.setTransform(-25.6,-18.4,0.8,0.8);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-25.6,-18.4,51.2,36.8);
p.frameBounds = [rect];


(lib.gfx_point_mc = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.gfx_point();
	this.instance.setTransform(-50,-50,1.887,1.887);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-50,-50,100,100);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '22086',
			title: 'Połącz nazwy z ilustracjami.',
			type: 'rope',
			container: this,
			/*
			groupdrags: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'drag_',
			prefix2: 'drop_',
			prefix3: 'ropepoint_',
			prefix4: 'rope_',
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/ '4',	
				/*drop_5:*/ '5',	
				/*drop_6:*/ '6',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '8',	
			],
			range: 100,
			alpha: 1,
			alpha2: 1,
			//scale: 0.8,
			//zindex: 0
			color: '#FFCC00',
			stroke: 10,
			
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drag
	this.drag_5 = new lib.gfx_point_mc();
	this.drag_5.setTransform(1098.7,361,0.338,0.338);
	this.drag_5.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_5.cache(-52,-52,104,104);

	this.drag_4 = new lib.gfx_point_mc();
	this.drag_4.setTransform(886.3,683,0.338,0.338);
	this.drag_4.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_4.cache(-52,-52,104,104);

	this.drag_3 = new lib.gfx_point_mc();
	this.drag_3.setTransform(783,521,0.338,0.338);
	this.drag_3.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_3.cache(-52,-52,104,104);

	this.drag_2 = new lib.gfx_point_mc();
	this.drag_2.setTransform(144.1,579,0.338,0.338);
	this.drag_2.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_2.cache(-52,-52,104,104);

	this.drag_1 = new lib.gfx_point_mc();
	this.drag_1.setTransform(138.3,309,0.338,0.338);
	this.drag_1.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_1.cache(-52,-52,104,104);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drag_1},{t:this.drag_2},{t:this.drag_3},{t:this.drag_4},{t:this.drag_5}]}).wait(1));

	// rope
	this.drag_8 = new lib.gfx_point_mc();
	this.drag_8.setTransform(816.7,77.1,0.338,0.338);
	this.drag_8.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_8.cache(-52,-52,104,104);

	this.ropepoint_8 = new lib.gfx_point_mc();
	this.ropepoint_8.setTransform(816.7,77.1,0.338,0.338);

	this.drag_7 = new lib.gfx_point_mc();
	this.drag_7.setTransform(743.7,357,0.338,0.338);
	this.drag_7.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_7.cache(-52,-52,104,104);

	this.ropepoint_7 = new lib.gfx_point_mc();
	this.ropepoint_7.setTransform(743.7,357,0.338,0.338);

	this.drag_6 = new lib.gfx_point_mc();
	this.drag_6.setTransform(393.7,90.1,0.338,0.338);
	this.drag_6.filters = [new cjs.ColorFilter(0.5, 0.5, 0.5, 1, 127.5, 0, 0, 0)];
	this.drag_6.cache(-52,-52,104,104);

	this.ropepoint_6 = new lib.gfx_point_mc();
	this.ropepoint_6.setTransform(393.7,90.1,0.338,0.338);

	this.ropepoint_5 = new lib.gfx_point_mc();
	this.ropepoint_5.setTransform(1098.7,361,0.338,0.338);

	this.ropepoint_4 = new lib.gfx_point_mc();
	this.ropepoint_4.setTransform(886.3,683,0.338,0.338);

	this.ropepoint_3 = new lib.gfx_point_mc();
	this.ropepoint_3.setTransform(783,521,0.338,0.338);

	this.ropepoint_2 = new lib.gfx_point_mc();
	this.ropepoint_2.setTransform(144.1,579,0.338,0.338);

	this.ropepoint_1 = new lib.gfx_point_mc();
	this.ropepoint_1.setTransform(138.3,309,0.338,0.338);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.ropepoint_1},{t:this.ropepoint_2},{t:this.ropepoint_3},{t:this.ropepoint_4},{t:this.ropepoint_5},{t:this.ropepoint_6},{t:this.drag_6},{t:this.ropepoint_7},{t:this.drag_7},{t:this.ropepoint_8},{t:this.drag_8}]}).wait(1));

	// drop
	this.sound_8 = new lib.soundPlayer();
	this.sound_8.setTransform(1028.8,648.5);

	this.sound_7 = new lib.soundPlayer();
	this.sound_7.setTransform(915.8,562.5);

	this.sound_4 = new lib.soundPlayer();
	this.sound_4.setTransform(209.8,541.5);

	this.sound_9 = new lib.soundPlayer();
	this.sound_9.setTransform(1241.7,402.5);

	this.sound_6 = new lib.soundPlayer();
	this.sound_6.setTransform(904.8,389.5);

	this.sound_1 = new lib.soundPlayer();
	this.sound_1.setTransform(270.8,273.5);

	this.sound_5 = new lib.soundPlayer();
	this.sound_5.setTransform(980.8,41.5);

	this.sound_3 = new lib.soundPlayer();
	this.sound_3.setTransform(495.8,52.5);

	this.drop_8 = new lib.gfx_point_mc();
	this.drop_8.setTransform(508.4,433.6,0.338,0.338);

	this.drop_7 = new lib.gfx_point_mc();
	this.drop_7.setTransform(616.4,249.7,0.338,0.338);

	this.drop_6 = new lib.gfx_point_mc();
	this.drop_6.setTransform(861.4,319.6,0.338,0.338);

	this.drop_5 = new lib.gfx_point_mc();
	this.drop_5.setTransform(1133.3,193.7,0.338,0.338);

	this.drop_4 = new lib.gfx_point_mc();
	this.drop_4.setTransform(301.4,669.6,0.338,0.338);

	this.drop_3 = new lib.gfx_point_mc();
	this.drop_3.setTransform(183.5,202.7,0.338,0.338);

	this.drop_2 = new lib.gfx_point_mc();
	this.drop_2.setTransform(1107.4,626.6,0.338,0.338);

	this.drop_1 = new lib.gfx_point_mc();
	this.drop_1.setTransform(402.5,315.6,0.338,0.338);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_1},{t:this.drop_2},{t:this.drop_3},{t:this.drop_4},{t:this.drop_5},{t:this.drop_6},{t:this.drop_7},{t:this.drop_8},{t:this.sound_3},{t:this.sound_5},{t:this.sound_1},{t:this.sound_6},{t:this.sound_9},{t:this.sound_4},{t:this.sound_7},{t:this.sound_8}]}).wait(1));

	// content
	this.instance = new lib.Bitmap11();
	this.instance.setTransform(317.8,29.1);

	this.instance_1 = new lib.Bitmap17();
	this.instance_1.setTransform(784.1,625.1);

	this.instance_2 = new lib.Bitmap16();
	this.instance_2.setTransform(995,381.6);

	this.instance_3 = new lib.Bitmap15();
	this.instance_3.setTransform(698,17.5);

	this.instance_4 = new lib.Bitmap14();
	this.instance_4.setTransform(600,367.5);

	this.instance_5 = new lib.Bitmap13();
	this.instance_5.setTransform(676.8,539.1);

	this.instance_6 = new lib.Bitmap10();
	this.instance_6.setTransform(103.1,519.1);

	this.instance_7 = new lib.Bitmap9();
	this.instance_7.setTransform(42.3,249.1);

	this.instance_8 = new lib.Bitmap8();
	this.instance_8.setTransform(1019,455.6);

	this.instance_9 = new lib.Bitmap7();
	this.instance_9.setTransform(1064.4,35.5);

	this.instance_10 = new lib.Bitmap6();
	this.instance_10.setTransform(762.4,153);

	this.instance_11 = new lib.Bitmap5();
	this.instance_11.setTransform(518.1,101);

	this.instance_12 = new lib.Bitmap4();
	this.instance_12.setTransform(429.5,455.3);

	this.instance_13 = new lib.Bitmap3();
	this.instance_13.setTransform(223.9,438.9);

	this.instance_14 = new lib.Bitmap2();
	this.instance_14.setTransform(329.6,189);

	this.instance_15 = new lib.Bitmap1();
	this.instance_15.setTransform(80.7,38.7);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_15},{t:this.instance_14},{t:this.instance_13},{t:this.instance_12},{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(42.3,17.5,1225.1,682.4);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.6,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(682.3,377.5,1225.1,682.4);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;